Bug 68541 - Web Inspector: UI performance test for Scripts panel first open experience.
Summary: Web Inspector: UI performance test for Scripts panel first open experience.
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Web Inspector (Deprecated) (show other bugs)
Version: 528+ (Nightly build)
Hardware: All All
: P2 Normal
Assignee: Ilya Tikhonovsky
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-09-21 09:36 PDT by Ilya Tikhonovsky
Modified: 2011-09-23 03:59 PDT (History)
10 users (show)

See Also:


Attachments
[patch] initial version (18.32 KB, patch)
2011-09-21 09:38 PDT, Ilya Tikhonovsky
pfeldman: review-
Details | Formatted Diff | Diff
[patch] initial version (2.19 KB, patch)
2011-09-22 07:14 PDT, Ilya Tikhonovsky
no flags Details | Formatted Diff | Diff
Patch (2.33 KB, patch)
2011-09-23 02:43 PDT, Ilya Tikhonovsky
yurys: review+
Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Ilya Tikhonovsky 2011-09-21 09:36:01 PDT
%subj%
Comment 1 Ilya Tikhonovsky 2011-09-21 09:38:20 PDT
Created attachment 108170 [details]
[patch] initial version
Comment 2 Pavel Feldman 2011-09-22 05:13:01 PDT
Comment on attachment 108170 [details]
[patch] initial version

View in context: https://bugs.webkit.org/attachment.cgi?id=108170&action=review

> LayoutTests/http/tests/inspector/inspector-test.js:11
> +//console.log = consoleOutputHook.bind(InspectorTest, "log");

Why did this change?

> LayoutTests/inspector/performance/resources/first-open-scripts.html:38
> +var initialize_InspectorTest = function() {

Could you extract a javascript file with the test data?
Comment 3 Ilya Tikhonovsky 2011-09-22 07:14:47 PDT
Created attachment 108328 [details]
[patch] initial version
Comment 4 Yury Semikhatsky 2011-09-23 00:31:50 PDT
Comment on attachment 108328 [details]
[patch] initial version

View in context: https://bugs.webkit.org/attachment.cgi?id=108328&action=review

> LayoutTests/inspector/performance/resources/first-open-scripts.html:26
> +        setTimeout = function(func, time) { func(); }

What's the reason for overriding setTimeout here? Please add a comment to the code.
Comment 5 Yury Semikhatsky 2011-09-23 02:35:20 PDT
Comment on attachment 108328 [details]
[patch] initial version

View in context: https://bugs.webkit.org/attachment.cgi?id=108328&action=review

> LayoutTests/inspector/performance/resources/first-open-scripts.html:30
> +        setTimeout = originalSetTimeout;

Instead of overriding setTimeout which changes regular execution sequence we should find an event that is fired definitely after the panel switch has completed. If there is no such event at the moment we could expose corresponding method on the panel for the test. Any of these seems better than overriding setTimeout
Comment 6 Ilya Tikhonovsky 2011-09-23 02:43:08 PDT
Created attachment 108451 [details]
Patch
Comment 7 Yury Semikhatsky 2011-09-23 03:06:20 PDT
Comment on attachment 108451 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=108451&action=review

> LayoutTests/inspector/performance/resources/first-open-scripts.html:28
> +        WebInspector.panels.scripts._visibleView._textViewer._mainPanel._paintScheduledLines();

Extract WebInspector.panels.scripts._visibleView._textViewer._mainPanel into a local variable?
Comment 8 Ilya Tikhonovsky 2011-09-23 03:59:14 PDT
Committed r95792: <http://trac.webkit.org/changeset/95792>